<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextUser Method (IEdmUserGroup5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserGroup5 Interface : GetNextUser Method (IEdmUserGroup5)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next user (see Remarks)

Gets the next user in the enumeration.

# Syntax

Visual Basic |
--- | ---

    Function GetNextUser( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmUser5

C# |
--- | ---

    IEdmUser5 GetNextUser(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmUser5^ GetNextUser(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position of the next user (see Remarks)

#### Return Value

IEdmUser5

# Example

Traverse Users and Groups in Vault (C#)
Traverse Users and Groups in Vault (VB.NET)

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first user in the list, IEdmPos5. Call IEdmUserGroup5::GetFirstUserPosition to obtain poPos.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the users in the list.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmUser5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUserGroup5 Interface
IEdmUserGroup5 Members

# Availability

SOLIDWORKS PDM Professional version 5.2